Why does Entitytype.RABBIT not exist?

Discussion in 'Spigot Plugin Development' started by redstonebiten, May 23, 2016.

Thread Status:
Not open for further replies.
    • Like Like x 1
    • Like Like x 1
  1. Okx

    Okx

  2. and guardian
     
    • Like Like x 1
  3. [​IMG]
    Yeah, works for me.
     
    • Agree Agree x 1
    • Agree Agree x 1
    • Agree Agree x 1
  4. Okx

    Okx

    • Agree Agree x 1
  5. Okx

    Okx

    Import the spigot-1.9.2.jar file into your project.
     
  6. That fucked up the fucking project! WTF

    I got errors on all my class files.... on all package me.redstonebiten.main and all others!
     
    • Funny Funny x 1
  7. As dependency. Or Library. Depends how your IDE calls it. Remove the old spigt/craftbukkit jar out of the list.
     
  8. It really helps if you know what you're doing...

    The reason you have errors in your original post is because you are using an outdated API. Those enums simply didn't exist back then and we're introduced in Minecraft 1.8.

    Now, what people have been trying to get you do do is update the api you are building against. They didn't need to hold your hand and tell you step by step what to do, because frankly you don't k ow what you're doing and will mess up your entire project that way. Instead they should have simply left it at "update your api to 1.8 or higher" and let you do the leg work in researching what that means so you will understand what to do and why to do it.
     
    • Agree Agree x 2
    • Winner Winner x 1
  9. MY FUCKING PLUGIN IS BROKEN NOW!!!!!!! WTF
     
  10. Srsly do you even know what an IDE is?
     
  11. Seriously, you should be familiar with Java before actually going further and learning APIs
     
    • Like Like x 1
    • Agree Agree x 1
  12. Even if your profile says so, you're never 25 years old. Please calm down and understand how java works. Then try again updating your api.
     
    • Agree Agree x 1
  13. Just add the dependency properly and calm the fuck down. Or just use the old version, jeez.
     
    • Agree Agree x 1
  14. Please stop programming and leave this forum!
    You are very rude. They were helping you and you reacted very childish and rude!
    Learn some basic java and basic bukkit/spigot or don't code anything.
     
    • Like Like x 1
    • Agree Agree x 1
    • Winner Winner x 1
Thread Status:
Not open for further replies.